Page MenuHomeFreeBSD

Use callout_reset_sbt() instead of callout_reset() only if FreeBSD version is at least 1100048.
ClosedPublic

Authored by slm on Apr 25 2016, 10:48 PM.

Details

Summary

Use callout_reset_sbt() instead of callout_reset() only if FreeBSD version is at least 1100048.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

slm updated this revision to Diff 15604.Apr 25 2016, 10:48 PM
slm retitled this revision from to Use callout_reset_sbt() instead of callout_reset() only if FreeBSD version is at least 1100048..
slm updated this object.
slm edited the test plan for this revision. (Show Details)
slm added reviewers: ken, scottl, ambrisko, asomers, mav, allanjude.
slm set the repository for this revision to rS FreeBSD src repository.
asomers edited edge metadata.Apr 25 2016, 11:15 PM

It looks like callout_reset_sbt was added in r247777 and __FreeBSD_version was updated to 1000029 in r247821. What's the significance of 1100048?

slm added a comment.Apr 26 2016, 5:37 PM

Hmmm. That's interesting. I'm not sure why I used 1100048. I made this change so that the driver would compile under 9.x as well as 10.x. I must have done some experiments and found that 1100048 was the magic number, but I'm not sure. I'll have to do some tests to see if I can use 1000029 instead. That is, I can do that if you think it's important. It's working with this change as is. Would you like me to try to figure out a version that makes more sense?

ken edited edge metadata.Apr 26 2016, 6:40 PM

You should probably just use 1000029 as the version that introduced callout_reset_sbt(). I think that should work on 9, 10, and head. Since it happened before head was branched off to make stable/10, it's an accurate number for 10 and head. And the version in 9 will be less than that.

asomers requested changes to this revision.Apr 28 2016, 9:55 PM
asomers edited edge metadata.

Use 1000029 as the version that introduced callout_reset_sbt()

This revision now requires changes to proceed.Apr 28 2016, 9:55 PM
slm updated this revision to Diff 15746.Apr 29 2016, 9:35 PM
slm edited edge metadata.
slm removed rS FreeBSD src repository as the repository for this revision.

Use FreeBSD version 1000029 instead of 1100048.

asomers accepted this revision.May 2 2016, 2:56 PM
asomers edited edge metadata.
This revision is now accepted and ready to land.May 2 2016, 2:56 PM
This revision was automatically updated to reflect the committed changes.